# qvalue

Usage: `qvalue [options] <pvalues>`

Description:

Takes as input a list of p-values and prints a corresponding list of q-values, computed using the method of Benjamini and Hochberg (Journal of the Royal Statistical Society B, 57:289-300, 1995).

Input:

The input file contains one p-value per line. The p-values do not have to be in sorted order.

Output:

The output is two tab-delimited columns, p-value and q-value, sorted by p-value.

Options:

- `--null <file>` Treat the primary input file as raw scores, and begin by estimating p-values from the empirical null scores given in this file. The `--header` and `--column` arguments apply to this file as well as the primary input file.
- `--fdr` Only compute FDR estimates.
- `--bootstraps <int>` Number of bootstraps to perform when estimating pi-zero. Default=1000.
- `--header <int>` Skip the specified number of lines at the beginning of the given file. Default=0.
- `--column <int>` Read the p-value from the specified tab-delimited column number. Columns are indexed starting from 1. Default=1.
- `--append` Print the input file to stdout, with an additional, tab-delimited column containing the q-value.
- `--seed <n>` - Seed for random number generator.
- `--verbosity 1|2|3|4` - Set the verbosity of status reports to standard error. The default level is 2.

Warning messages: None

Bugs:

None known.